FORMAT_VERSION: 1
CONFIG_NAME: Freefly Emesent
PARAMETERS:
  RadioUartBaud: 57600
  SbusChDefaultVal: 1023
  VehicleCompId: 1
  VehicleSysId: 1
INPUTS:
  - JOYSTICK_INPUT:
      - name: Joystick_Left_X
        smoothFactor: 0.0
        window: 1.0
        expoFactor: 0.0
      - name: Joystick_Left_Y
        smoothFactor: 0.0
        window: 1.0
        expoFactor: 0.0
      - name: Joystick_Right_X
        smoothFactor: 0.0
        window: 1.0
        expoFactor: 0.0
      - name: Joystick_Right_Y
        smoothFactor: 0.0
        window: 1.0
        expoFactor: 0.0
  - ROCKER_INPUT:
      - name: Rocker_Left
        smoothFactor: 0.0
        window: 2.5
        expoFactor: 0.0
      - name: Rocker_Right
        smoothFactor: 0.0
        window: 2.5
        expoFactor: 0.0
  - DIAL_INPUT:
      - name: Dial_1
        smoothFactor: 0.0
        window: 0.0
        expoFactor: 0.0
      - name: Dial_2
        smoothFactor: 0.0
        window: 0.0
        expoFactor: 0.0
      - name: Dial_3
        smoothFactor: 0.0
        window: 0.0
        expoFactor: 0.0
      - name: Dial_4
        smoothFactor: 0.0
        window: 0.0
        expoFactor: 0.0
  - BUTTON_INPUT:
      - name: Button_A1
      - name: Button_A2
      - name: Button_A3
      - name: Button_A4
      - name: Button_A5
      - name: Button_L1
      - name: Button_L2
      - name: Button_Power
      - name: Button_R1
      - name: Button_R2
  - SWITCH_INPUT:
      - name: Switch_Kill
      - name: Switch_S1
      - name: Switch_S1_Center
      - name: Switch_S1_Down
      - name: Switch_S1_Up
      - name: Switch_S2
      - name: Switch_S2_Center
      - name: Switch_S2_Down
      - name: Switch_S2_Up
OUTPUTS:
  - HID_OUTPUT:
      - name: HID_Button_1
        inputName: Button_A3
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_2
        inputName: Button_A4
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_3
        inputName: Button_A5
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_4
        inputName: Button_A2
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_5
        inputName: Button_R1
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_6
        inputName: Button_L1
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_7
        inputName: Button_L2
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_8
        inputName: Button_R2
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_9
        inputName: Button_A1
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_10
        inputName: Button_Power
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_11
        inputName: Switch_S1_Up
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_12
        inputName: Switch_S1_Down
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_13
        inputName: Switch_S2_Up
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_14
        inputName: Switch_S2_Down
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_15
        inputName: Switch_Kill
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Button_16
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: HID_Rx
        inputName: Rocker_Left
        scalarName: Scalar_2
        ADCTh: -1
        minValue: -32767.0
        maxValue: 32767.0
      - name: HID_Ry
        inputName: Rocker_Right
        scalarName: None
        ADCTh: -1
        minValue: -32767.0
        maxValue: 32767.0
      - name: HID_Rz
        inputName: Joystick_Right_Y
        scalarName: None
        ADCTh: -1
        minValue: -32767.0
        maxValue: 32767.0
      - name: HID_X
        inputName: Joystick_Left_X
        scalarName: None
        ADCTh: -1
        minValue: -32767.0
        maxValue: 32767.0
      - name: HID_Y
        inputName: Joystick_Left_Y
        scalarName: None
        ADCTh: -1
        minValue: -32767.0
        maxValue: 32767.0
      - name: HID_Z
        inputName: Joystick_Right_X
        scalarName: None
        ADCTh: -1
        minValue: -32767.0
        maxValue: 32767.0
  - SBUS_OUTPUT:
      - name: SBUS_Channel_1
        inputName: Joystick_Right_X
        scalarName: None
        ADCTh: -1
        minValue: 1.0
        maxValue: 2047.0
      - name: SBUS_Channel_2
        inputName: Joystick_Right_Y
        scalarName: None
        ADCTh: -1
        minValue: 2047.0
        maxValue: 1.0
      - name: SBUS_Channel_3
        inputName: Joystick_Left_Y
        scalarName: None
        ADCTh: -1
        minValue: 2047.0
        maxValue: 1.0
      - name: SBUS_Channel_4
        inputName: Joystick_Left_X
        scalarName: None
        ADCTh: -1
        minValue: 1.0
        maxValue: 2047.0
      - name: SBUS_Channel_5
        inputName: Switch_S2
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_6
        inputName: Button_A5
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_7
        inputName: Button_A3
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_8
        inputName: Button_A4
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_9
        inputName: Button_A2
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_10
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_11
        inputName: Dial_2
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_12
        inputName: Dial_3
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_13
        inputName: Dial_4
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_14
        inputName: Button_A1
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_15
        inputName: Switch_S1
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Channel_16
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 2047.0
      - name: SBUS_Digital_Channel_1
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: SBUS_Digital_Channel_2
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
  - SCALAR_OUTPUT:
      - name: Scalar_1
        inputName: Dial_1
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: Scalar_2
        inputName: Switch_S1_Down
        scalarName: Scalar_1
        ADCTh: -1
        minValue: 1.0
        maxValue: -1.0
      - name: Scalar_3
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.01
        maxValue: 1.0
      - name: Scalar_4
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.01
        maxValue: 1.0
      - name: Scalar_5
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.01
        maxValue: 1.0
      - name: Scalar_6
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.01
        maxValue: 1.0
      - name: Scalar_7
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.01
        maxValue: 1.0
      - name: Scalar_8
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.01
        maxValue: 1.0
  - MAVLINK_COMMAND_OUTPUT:
      - name: MAVLINK_Command_Arm
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Command_Disarm
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Command_Flight_Termination
        inputName: Switch_Kill
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Command_Force_Disarm
        inputName: Switch_Kill
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
  - MAVLINK_MANUAL_CONTROL_OUTPUT:
      - name: MAVLINK_Manual_Control_Aux_1
        inputName: Dial_2
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_Aux_2
        inputName: Dial_3
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_Aux_3
        inputName: Dial_4
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_Aux_4
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_Aux_5
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_Aux_6
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 0.0
      - name: MAVLINK_Manual_Control_Button_1
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_2
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_3
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_4
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_5
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_6
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_7
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_8
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_9
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_10
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_11
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_12
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_13
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 0.0
      - name: MAVLINK_Manual_Control_Button_14
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_15
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_16
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_17
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_18
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 0.0
      - name: MAVLINK_Manual_Control_Button_19
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_20
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_21
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_22
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_23
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_24
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_25
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_26
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_27
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_28
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_29
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_30
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_31
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_Button_32
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLINK_Manual_Control_R
        inputName: Joystick_Left_X
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_S
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_T
        inputName: None
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_X
        inputName: Joystick_Right_Y
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_Y
        inputName: Joystick_Right_X
        scalarName: None
        ADCTh: -1
        minValue: -1000.0
        maxValue: 1000.0
      - name: MAVLINK_Manual_Control_Z
        inputName: Joystick_Left_Y
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1000.0
  - MAVLINK_MODE_SWITCH_OUTPUT:
      - name: MAVLink_Mode_Switch_Altitude
        inputName: Button_A3
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLink_Mode_Switch_Manual
        inputName: Button_A4
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLink_Mode_Switch_Position
        inputName: Button_A5
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLink_Mode_Switch_Position_Slow
        inputName: Button_A1
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
      - name: MAVLink_Mode_Switch_Return_to_Launch
        inputName: Button_A2
        scalarName: None
        ADCTh: -1
        minValue: 0.0
        maxValue: 1.0
